Init Tenant

Init Tenant

VMware Identity Services API to initialize a tenant.

Request
URI
POST
https://{api_host}//acs/t/{TENANT}/broker/tenants
COPY
Path Parameters
string
TENANT
Required

TENANT


Request Body
TenantInformationMedia of type(s) application/vnd.vmware.vidm.accesscontrol.broker.tenant.information+json
Required
{
    "tenant_name": "vmware",
    "client_id": "my-auth-grant-client1",
    "client_secret": "my-auth-grant-client1-secret"
}
string
tenant_name
Required

Id or name of the tenant

string
client_id
Optional

OAuth 2.0 Client identifier that the client uses to identify itself during the OAuth2 exchanges.

string
client_secret
Optional

OAuth 2.0 Client secret. An auto-generated secret will be returned. For additional security, stored secret will not be returned in get/update API responses Secret field is mandatory in Authorization Code and Client Credentials Grant flows.

Authentication
This operation uses the following authentication methods.
Responses
201

The tenant initialized successfully

Operation doesn't return any data structure

400

The request contains invalid information

Operation doesn't return any data structure

409

The tenant was already initialized

Operation doesn't return any data structure